HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

/system/pki_x509_certificates/{PKI_X509_Certificate.name}

Path Params
string
required

Reference Resource: PKI_X509_Certificate
Certificate name.

Body Params
string
length between 1 and 64

Common name for the subject of the certificate. Default value is the device serial number.

string
length between 2 and 2

Country name for the subject of the certificate. ISO Alpha-2 country code is expected, but we only enforce it to be two letters both uppercase, do not enforce its correctness, which is users' responsibility. It can be empty when it is not configured.

ext_key_usage
object
string
enum

key-type: 'RSA-2048': RSA keypair with key size to be 2048 bits 'RSA-3072': RSA keypair with key size to be 3072 bits 'RSA-4096': RSA keypair with key size to be 4096 bits 'ECDSA-256': ECDSA keypair with curve size to be 256 bits 'ECDSA-384': ECDSA keypair with curve size to be 384 bits 'ECDSA-521': ECDSA keypair with curve size to be 521 bits

Allowed:
key_usage
object
string
length between 1 and 128

Locality name for the subject of the certificate. It can be empty when it is not configured.

string
required
length between 1 and 32

Reference Resource: PKI_X509_Certificate
Certificate name.

string
length between 1 and 64

Organization name for the subject of the certificate. It can be empty when it is not configured.

string
length between 1 and 64

Organization unit name for the subject of the certificate. It can be empty when it is not configured.

san_dnsname
array of strings
length ≤ 2

A dNSName type of entry (or entries) for subject alternative name of the certificate. A dNSName is a domain name system label in the preferred name syntax as specified by Section 3.5 of RFC 1034 and modified by Section 2.1 of RFC 1123. Subject alternative name is a X509 certificate extension specified in RFC 5280 Section 4.2.1.6.

san_dnsname
san_ip
array of strings
length ≤ 2

An ipAddress type of entry (or entries) for subject alternative name of the certificate. It supports both IPv4 and IPv6 addresses. Subject alternative name is a X509 certificate extension specified in RFC 5280 Section 4.2.1.6.

san_ip
string
length between 1 and 128

State or province name for the subject of the certificate. It can be empty when it is not configured.

Responses
200

OK

204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

415

Unsupported Media Type

500

Internal Server Error

501

Not Implemented

503

Service Unavailable

Language
Response
Click Try It! to start a request and see the response here!